Name:           ocaml-ansiterminal
Version:        0.6.5
Release:        %mkrel 1
Summary:        This module offers basic control of ANSI compliant terminals and the windows shell
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/ansiterminal/
Source0:        https://forge.ocamlcore.org/frs/download.php/1206/ANSITerminal-0.6.5.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-oasis

%description
ANSITerminal is a module allowing to use the colors and cursor
movements on ANSI terminals. It also works on the windows shell (but
this part is currently work in progress).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ANSITerminal-%{version}

%build
# Regenerate the setup.ml as the default one is buggy
oasis setup
ocaml setup.ml -configure --docdir %{buildroot}no_install
ocaml setup.ml -build
ocaml setup.ml -doc
mv API.docdir doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/ANSITerminal
make install
rm -rf %{buildroot}no_install

%files
%doc LICENSE.txt
%dir %{_libdir}/ocaml/ANSITerminal
%{_libdir}/ocaml/ANSITerminal/META
%{_libdir}/ocaml/ANSITerminal/*.cma
%{_libdir}/ocaml/ANSITerminal/*.cmi
%{_libdir}/ocaml/ANSITerminal/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc AUTHORS.txt INSTALL.txt README.txt
%doc doc/
%doc test.ml
%{_libdir}/ocaml/ANSITerminal/*.a
%{_libdir}/ocaml/ANSITerminal/*.cmx
%{_libdir}/ocaml/ANSITerminal/*.cmxa
%{_libdir}/ocaml/ANSITerminal/*.mli
%{_libdir}/ocaml/ANSITerminal/*.annot
%{_libdir}/ocaml/ANSITerminal/*.cmt
%{_libdir}/ocaml/ANSITerminal/*.cmti


%changelog
* Wed Feb 10 2016 pterjan <pterjan> 0.6.5-1.mga6
+ Revision: 953014
- Update to 0.6.5

* Wed Oct 15 2014 umeabot <umeabot> 0.6-8.mga5
+ Revision: 743437
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-7.mga5
+ Revision: 682976
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6-6.mga4
+ Revision: 508385
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6-5.mga3
+ Revision: 361118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 11 2012 malo <malo> 0.6-4.mga3
+ Revision: 304535
- fix build using ocaml-oasis

  + blue_prawn <blue_prawn>
    - rebuild for ocaml-4.00.0
    - rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.6-2.mga3
+ Revision: 300029
- new rpm group for ocaml

* Fri Mar 23 2012 blue_prawn <blue_prawn> 0.6-1.mga2
+ Revision: 225975
- imported package ocaml-ansiterminal

